Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.common
Class XMLValidator.ValueStoreCache

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.common.XMLValidator.ValueStoreCache

protected class XMLValidator.ValueStoreCache
extends java.lang.Object

Value store cache. This class is used to store the values for identity constraints.

Author:
  Andy Clark, IBM

Field Summary
`protected java.util.Hashtable` | `fGlobalIDConstraintMap`
`protected java.util.Stack` | `fGlobalMapStack`
`protected java.util.Hashtable` | `fIdentityConstraint2ValueStoreMap` Values stores associated to specific identity constraints.
`protected java.util.Vector` | `fValueStores` stores all global Values stores.

Constructor Summary
`XMLValidator.ValueStoreCache()` Default constructor.

Method Summary
`void` | `endDocument()` Check identity constraints.
`void` | `endElement()`
`XMLValidator.ValueStoreBase` | `getGlobalValueStoreFor(IdentityConstraint id)` Returns the global value store associated to the specified IdentityConstraint.
`XMLValidator.ValueStoreBase` | `getValueStoreFor(Field field)` Returns the value store associated to the specified field.
`XMLValidator.ValueStoreBase` | `getValueStoreFor(IdentityConstraint id)` Returns the value store associated to the specified IdentityConstraint.
`void` | `initValueStoresFor(XMLElementDecl eDecl)` Initializes the value stores for the specified element declaration.
`void` | `startDocument()` Resets the identity constraint cache.
`void` | `startElement()`
`java.lang.String` | `toString()` Returns a string representation of this object.
`void` | `transplant(IdentityConstraint id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fValueStores

    protected final java.util.Vector fValueStores

  stores all global Values stores.

### fIdentityConstraint2ValueStoreMap

    protected final java.util.Hashtable fIdentityConstraint2ValueStoreMap

  Values stores associated to specific identity constraints.

### fGlobalMapStack

    protected final java.util.Stack fGlobalMapStack

### fGlobalIDConstraintMap

    protected final java.util.Hashtable fGlobalIDConstraintMap

Constructor Detail

### XMLValidator.ValueStoreCache

    public XMLValidator.ValueStoreCache()

  Default constructor.

Method Detail

### startDocument

    public void startDocument()
                       throws java.lang.Exception

  Resets the identity constraint cache.

### startElement

    public void startElement()

### endElement

    public void endElement()

### initValueStoresFor

    public void initValueStoresFor(XMLElementDecl eDecl)
                            throws java.lang.Exception

  Initializes the value stores for the specified element declaration.

### getValueStoreFor

    public XMLValidator.ValueStoreBase getValueStoreFor(Field field)

  Returns the value store associated to the specified field.

### getValueStoreFor

    public XMLValidator.ValueStoreBase getValueStoreFor(IdentityConstraint id)

  Returns the value store associated to the specified IdentityConstraint.

### getGlobalValueStoreFor

    public XMLValidator.ValueStoreBase getGlobalValueStoreFor(IdentityConstraint id)

  Returns the global value store associated to the specified IdentityConstraint.

### transplant

    public void transplant(IdentityConstraint id)
                    throws java.lang.Exception

### endDocument

    public void endDocument()
                     throws java.lang.Exception

  Check identity constraints.

### toString

    public java.lang.String toString()

  Returns a string representation of this object.

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference